#include "Init.h"
#include "Framebuffer.h"
#include "arch/MMU.h"
#include "arch/Serial.h"
#include "bootboot.h"
#include <String.h>

extern BOOTBOOT bootboot;

void Init::check_magic()
{
    if (memcmp(bootboot.magic, BOOTBOOT_MAGIC, 4))
    {
        Serial::println("ERROR: Invalid magic value from bootloader");
        for (;;)
            ;
    }
}

void Init::early_init()
{
    Framebuffer::init();
    MMU::setup_initial_page_directory();
}